function formule=f(F,Fder,xk1,e)
% formule=f(F,Fder,xk1,e)
% funkce slouzi pro vypocet korene funkce F,
% Fder je jeji derivace, xk1 priblizeni ke korenu
% a e je zadana presnost

xk0=xk1;
krok=1;
xk1=xk0-(feval(F,xk0)/feval(Fder,xk0));
while abs(feval(F,xk1))>e
   ak=(feval(F,xk1)-feval(F,xk0))/(xk1-xk0);
   xk0=xk1;
   xk1=xk1-(1/ak)*feval(F,xk1);
   krok=krok+1;
end
formule=xk1;
disp('Pocet kroku:');
disp(krok);
disp(formule);
