function new=f(F,Fder,x1,e)
% new=f(F,Fder,x1,e)
% Funkce slouzi k nalezeni korene zadane funkce F.
% K tomu potrebuje derivaci funkce F Fder,
% priblizeni ke korenu x1 a presnost, s jakou se ma
% koren hledat. Funkce vrati nejblizsi nalezeny koren
% a vypise pocet kroku, ktere k jeho vypocteni potrebovala.
% Pokud je zadana funkce spojita, pak funguje bez problemu.
% 
% Priklad: new('f1441b','df1441b',100,1e-5)

krok=0;
while abs(feval(F,x1))>e
   krok=krok+1;
   x1=x1-(feval(F,x1)/feval(Fder,x1));
end
disp('Pocet kroku Newtona');
disp(krok);
new=x1;
